/*
 * $Id: searchxlit.h,v 1.2 2003/06/14 17:15:26 prussar Exp $
 *
 * Viewer - a part of Plucker, the free off-line HTML viewer for PalmOS
 * Copyright (c) 1998-2002, Mark Ian Lillywhite and Michael Nordstrom
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef PLUCKER_SEARCHXLIT_H
#define PLUCKER_SEARCHXLIT_H

static Char Latin1xlit[] = {
0 /* 0 */,
1 /* 1 */,
2 /* 2 */,
3 /* 3 */,
4 /* 4 */,
5 /* 5 */,
6 /* 6 */,
7 /* 7 */,
8 /* 8 */,
9 /* 9 */,
10 /* 10 */,
11 /* 11 */,
12 /* 12 */,
13 /* 13 */,
14 /* 14 */,
15 /* 15 */,
16 /* 16 */,
17 /* 17 */,
18 /* 18 */,
19 /* 19 */,
20 /* 20 */,
21 /* 21 */,
22 /* 22 */,
23 /* 23 */,
24 /* 24 */,
25 /* 25 */,
26 /* 26 */,
27 /* 27 */,
28 /* 28 */,
29 /* 29 */,
30 /* 30 */,
31 /* 31 */,
' ' /* 32 */,
'!' /* 33 */,
'"' /* 34 */,
'#' /* 35 */,
'$' /* 36 */,
'%' /* 37 */,
'&' /* 38 */,
'\'' /* 39 */,
'(' /* 40 */,
')' /* 41 */,
'*' /* 42 */,
'+' /* 43 */,
',' /* 44 */,
'-' /* 45 */,
'.' /* 46 */,
'/' /* 47 */,
'0' /* 48 */,
'1' /* 49 */,
'2' /* 50 */,
'3' /* 51 */,
'4' /* 52 */,
'5' /* 53 */,
'6' /* 54 */,
'7' /* 55 */,
'8' /* 56 */,
'9' /* 57 */,
':' /* 58 */,
';' /* 59 */,
'<' /* 60 */,
'=' /* 61 */,
'>' /* 62 */,
'?' /* 63 */,
'@' /* 64 */,
'A' /* 65 */,
'B' /* 66 */,
'C' /* 67 */,
'D' /* 68 */,
'E' /* 69 */,
'F' /* 70 */,
'G' /* 71 */,
'H' /* 72 */,
'I' /* 73 */,
'J' /* 74 */,
'K' /* 75 */,
'L' /* 76 */,
'M' /* 77 */,
'N' /* 78 */,
'O' /* 79 */,
'P' /* 80 */,
'Q' /* 81 */,
'R' /* 82 */,
'S' /* 83 */,
'T' /* 84 */,
'U' /* 85 */,
'V' /* 86 */,
'W' /* 87 */,
'X' /* 88 */,
'Y' /* 89 */,
'Z' /* 90 */,
'[' /* 91 */,
'\\' /* 92 */,
']' /* 93 */,
'^' /* 94 */,
'_' /* 95 */,
'`' /* 96 */,
'a' /* 97 */,
'b' /* 98 */,
'c' /* 99 */,
'd' /* 100 */,
'e' /* 101 */,
'f' /* 102 */,
'g' /* 103 */,
'h' /* 104 */,
'i' /* 105 */,
'j' /* 106 */,
'k' /* 107 */,
'l' /* 108 */,
'm' /* 109 */,
'n' /* 110 */,
'o' /* 111 */,
'p' /* 112 */,
'q' /* 113 */,
'r' /* 114 */,
's' /* 115 */,
't' /* 116 */,
'u' /* 117 */,
'v' /* 118 */,
'w' /* 119 */,
'x' /* 120 */,
'y' /* 121 */,
'z' /* 122 */,
'{' /* 123 */,
'|' /* 124 */,
'}' /* 125 */,
'~' /* 126 */,
'*' /* 127 */,
'#' /* 128 */,
' ' /* 129 */,
'\'' /* 130 */,
'f' /* 131 */,
'"' /* 132 */,
'.' /* 133 */,
'*' /* 134 */,
'*' /* 135 */,
'^' /* 136 */,
'*' /* 137 */,
'S' /* 138 */,
'(' /* 139 */,
'O' /* 140 */,
'*' /* 141 */,
'*' /* 142 */,
'*' /* 143 */,
'*' /* 144 */,
'\'' /* 145 */,
'\'' /* 146 */,
'"' /* 147 */,
'"' /* 148 */,
'*' /* 149 */,
'-' /* 150 */,
'-' /* 151 */,
'~' /* 152 */,
'T' /* 153 */,
's' /* 154 */,
')' /* 155 */,
'*' /* 156 */,
'*' /* 157 */,
'*' /* 158 */,
'Y' /* 159 */,
'*' /* 160 */,
'i' /* 161 */,
'*' /* 162 */,
'#' /* 163 */,
'*' /* 164 */,
'#' /* 165 */,
'|' /* 166 */,
'S' /* 167 */,
'"' /* 168 */,
'C' /* 169 */,
'a' /* 170 */,
'<' /* 171 */,
'-' /* 172 */,
'-' /* 173 */,
'R' /* 174 */,
'-' /* 175 */,
'*' /* 176 */,
'+' /* 177 */,
'2' /* 178 */,
'3' /* 179 */,
'\'' /* 180 */,
'm' /* 181 */,
'P' /* 182 */,
'*' /* 183 */,
',' /* 184 */,
'1' /* 185 */,
'o' /* 186 */,
'>' /* 187 */,
'1' /* 188 */,
'1' /* 189 */,
'3' /* 190 */,
'?' /* 191 */,
'A' /* 192 */,
'A' /* 193 */,
'A' /* 194 */,
'A' /* 195 */,
'A' /* 196 */,
'A' /* 197 */,
'A' /* 198 */,
'C' /* 199 */,
'E' /* 200 */,
'E' /* 201 */,
'E' /* 202 */,
'E' /* 203 */,
'I' /* 204 */,
'I' /* 205 */,
'I' /* 206 */,
'I' /* 207 */,
'D' /* 208 */,
'N' /* 209 */,
'O' /* 210 */,
'O' /* 211 */,
'O' /* 212 */,
'O' /* 213 */,
'O' /* 214 */,
'x' /* 215 */,
'O' /* 216 */,
'U' /* 217 */,
'U' /* 218 */,
'U' /* 219 */,
'U' /* 220 */,
'Y' /* 221 */,
'T' /* 222 */,
'S' /* 223 */,
'a' /* 224 */,
'a' /* 225 */,
'a' /* 226 */,
'a' /* 227 */,
'a' /* 228 */,
'a' /* 229 */,
'a' /* 230 */,
'c' /* 231 */,
'e' /* 232 */,
'e' /* 233 */,
'e' /* 234 */,
'e' /* 235 */,
'i' /* 236 */,
'i' /* 237 */,
'i' /* 238 */,
'i' /* 239 */,
'd' /* 240 */,
'n' /* 241 */,
'o' /* 242 */,
'o' /* 243 */,
'o' /* 244 */,
'o' /* 245 */,
'o' /* 246 */,
'*' /* 247 */,
'o' /* 248 */,
'u' /* 249 */,
'u' /* 250 */,
'u' /* 251 */,
'u' /* 252 */,
'y' /* 253 */,
't' /* 254 */,
'y' /* 255 */
};

#endif
